%define pypi_name hupper

Name:           python-%{pypi_name}
Version:        1.12.1
Release:        %mkrel 2
Summary:        Integrated process monitor for developing and reloading daemons
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/hupper/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
hupper is an integrated process monitor that will track changes to any imported
Python files in sys.modules as well as custom paths. When files are changed the
process is restarted.

%package -n     python3-%{pypi_name}
Summary:        Integrated process monitor for developing and reloading daemons
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
hupper is an integrated process monitor that will track changes to any imported
Python files in sys.modules as well as custom paths. When files are changed the
process is restarted.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hupper

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/hupper


%changelog
* Sat Mar 01 2025 wally <wally> 1.12.1-2.mga10
+ Revision: 2155087
- rebuild for python3.13

* Fri Feb 02 2024 papoteur <papoteur> 1.12.1-1.mga10
+ Revision: 2036863
- new version 1.12.1

* Mon Sep 11 2023 papoteur <papoteur> 1.12-1.mga10
+ Revision: 1986232
- new 1.12

* Wed Mar 23 2022 umeabot <umeabot> 1.10.3-3.mga9
+ Revision: 1823697
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.10.3-2.mga9
+ Revision: 1784369
- rebuild for python-3.10

* Wed Jul 14 2021 guillomovitch <guillomovitch> 1.10.3-1.mga9
+ Revision: 1735987
- new version 1.10.3

* Sat Mar 20 2021 guillomovitch <guillomovitch> 1.10.2-3.mga9
+ Revision: 1705041
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.10.2-2.mga8
+ Revision: 1608275
- rebuild for removing pythonegg buildrequires in srpm

* Tue Apr 21 2020 guillomovitch <guillomovitch> 1.10.2-1.mga8
+ Revision: 1570306
- new version 1.10.2

* Tue Feb 18 2020 umeabot <umeabot> 1.9.1-2.mga8
+ Revision: 1539926
- Mageia 8 Mass Rebuild

* Sat Dec 14 2019 guillomovitch <guillomovitch> 1.9.1-1.mga8
+ Revision: 1467139
- new version 1.9.1

* Fri Oct 18 2019 guillomovitch <guillomovitch> 1.9-1.mga8
+ Revision: 1454506
- new version 1.9

* Thu Oct 03 2019 guillomovitch <guillomovitch> 1.8.1-2.mga8
+ Revision: 1449130
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.8.1-1.mga8
+ Revision: 1417106
- imported package python-hupper

